diff -rupN original/CorebootModulePkg/CbSupportDxe/CbSupportDxe.c modified/CorebootModulePkg/CbSupportDxe/CbSupportDxe.c
--- original/CorebootModulePkg/CbSupportDxe/CbSupportDxe.c	2014-06-24 03:04:33.927000000 -0500
+++ modified/CorebootModulePkg/CbSupportDxe/CbSupportDxe.c	2015-02-04 22:08:06.005430400 -0600
@@ -98,9 +98,10 @@ CbReserveResourceInGcd (
 
 **/
 VOID
+EFIAPI
 OnReadyToBoot (
-  EFI_EVENT  Event,
-  VOID       *Context
+  IN  EFI_EVENT  Event,
+  IN  VOID       *Context
   )
 {	
 	//
@@ -122,6 +123,7 @@ OnReadyToBoot (
 
 **/
 EFI_STATUS
+EFIAPI
 CbDxeEntryPoint (
   IN EFI_HANDLE         ImageHandle,
   IN EFI_SYSTEM_TABLE   *SystemTable
diff -rupN original/CorebootModulePkg/CbSupportPei/CbSupportPei.c modified/CorebootModulePkg/CbSupportPei/CbSupportPei.c
--- original/CorebootModulePkg/CbSupportPei/CbSupportPei.c	2014-06-24 03:04:33.662000000 -0500
+++ modified/CorebootModulePkg/CbSupportPei/CbSupportPei.c	2015-02-04 22:12:39.551910800 -0600
@@ -239,7 +239,7 @@ CbPeiEntryPoint (
        EFI_RESOURCE_ATTRIBUTE_WRITE_THROUGH_CACHEABLE |
        EFI_RESOURCE_ATTRIBUTE_WRITE_BACK_CACHEABLE
     ),
-    (EFI_PHYSICAL_ADDRESS)(0x100000000),
+    (EFI_PHYSICAL_ADDRESS)(0x100000000ll),
     HighMemorySize
     );  	
   }  
diff -rupN original/CorebootModulePkg/Include/Coreboot.h modified/CorebootModulePkg/Include/Coreboot.h
--- original/CorebootModulePkg/Include/Coreboot.h	2014-06-17 21:15:25.814000000 -0500
+++ modified/CorebootModulePkg/Include/Coreboot.h	2015-02-04 16:38:57.524177800 -0600
@@ -45,7 +45,9 @@
 #ifndef _COREBOOT_PEI_H_INCLUDED_
 #define _COREBOOT_PEI_H_INCLUDED_
 
+#if defined(_MSC_VER)
 #pragma warning( disable : 4200 )
+#endif
 
 #define DYN_CBMEM_ALIGN_SIZE (4096)
 
diff -rupN original/CorebootModulePkg/Include/Library/CbParseLib.h modified/CorebootModulePkg/Include/Library/CbParseLib.h
--- original/CorebootModulePkg/Include/Library/CbParseLib.h	2014-06-24 03:04:33.958000000 -0500
+++ modified/CorebootModulePkg/Include/Library/CbParseLib.h	2015-02-04 15:40:00.544565300 -0600
@@ -63,7 +63,7 @@ CbParseCbMemTable (
 **/
 RETURN_STATUS
 CbParseAcpiTable (
-  IN VOID**     pMemTable,
+  IN VOID*      pMemTable,
   IN UINT32*    pMemTableSize
   );
   
diff -rupN original/CorebootModulePkg/Library/CbParseLib/CbParseLib.c modified/CorebootModulePkg/Library/CbParseLib/CbParseLib.c
--- original/CorebootModulePkg/Library/CbParseLib/CbParseLib.c	2014-06-24 03:04:34.021000000 -0500
+++ modified/CorebootModulePkg/Library/CbParseLib/CbParseLib.c	2015-02-04 16:32:34.355304700 -0600
@@ -31,16 +31,6 @@ static UINT64 cb_unpack64(struct cbuint6
   return (((UINT64) val.hi) << 32) | val.lo;
 }
 
-static const char *cb_mb_vendor_string(const struct cb_mainboard *cbm)
-{
-  return (char *)(cbm->strings + cbm->vendor_idx);
-}
-
-static const char *cb_mb_part_string(const struct cb_mainboard *cbm)
-{
-  return (char *)(cbm->strings + cbm->part_number_idx);
-}
-
 VOID *
 FindCbTag (
   IN  VOID    *Start,
@@ -245,11 +235,11 @@ CbParseCbMemTable (
 **/
 RETURN_STATUS
 CbParseAcpiTable (
-  IN VOID**     pMemTable,
+  IN VOID*      pMemTable,
   IN UINT32*    pMemTableSize
   )
 {
-	return CbParseCbMemTable (SIGNATURE_32 ('I', 'P', 'C', 'A'), pMemTable, pMemTableSize);	
+	return CbParseCbMemTable (SIGNATURE_32 ('I', 'P', 'C', 'A'), (void **)pMemTable, pMemTableSize);	
 }
 
 /**
diff -rupN original/CorebootModulePkg/SecCore/Ia32/SecEntry.S modified/CorebootModulePkg/SecCore/Ia32/SecEntry.S
--- original/CorebootModulePkg/SecCore/Ia32/SecEntry.S	2014-06-17 21:15:26.064000000 -0500
+++ modified/CorebootModulePkg/SecCore/Ia32/SecEntry.S	2015-02-04 16:43:17.249033900 -0600
@@ -46,7 +46,7 @@ ASM_PFX(_ModuleEntryPoint):
   #
   # Construct the temporary memory at 0x80000, length 0x10000
   #
-  movl ($BASE_512KB + $SIZE_64KB), %esp
+  movl $(BASE_512KB + SIZE_64KB), %esp
 
   #
   # Pass BFV into the PEI Core
diff -rupN original/CorebootPayloadPkg/CorebootPayloadPkg.fdf modified/CorebootPayloadPkg/CorebootPayloadPkg.fdf
--- original/CorebootPayloadPkg/CorebootPayloadPkg.fdf	2014-06-29 21:53:30.992000000 -0500
+++ modified/CorebootPayloadPkg/CorebootPayloadPkg.fdf	2015-02-04 18:13:08.571703300 -0600
@@ -17,15 +17,15 @@
 ################################################################################
 [FD.UefiPayload]
 BaseAddress   = 0x800000|gUefiCorebootModulePkgTokenSpaceGuid.PcdPayloadFdMemBase
-Size          = 0x400000|gUefiCorebootModulePkgTokenSpaceGuid.PcdPayloadFdMemSize
+Size          = 0x402000|gUefiCorebootModulePkgTokenSpaceGuid.PcdPayloadFdMemSize
 ErasePolarity = 1
 BlockSize     = 0x1000
-NumBlocks     = 0x400
+NumBlocks     = 0x402
 
-0x00000000|0x020000
+0x00000000|0x022000
 FV = PEIFV
 
-0x00020000|0x3E0000
+0x00022000|0x3E0000
 FV = DXEFV
 
 ################################################################################
diff -rupN original/CorebootPayloadPkg/SerialDxe/SerialIo.c modified/CorebootPayloadPkg/SerialDxe/SerialIo.c
--- original/CorebootPayloadPkg/SerialDxe/SerialIo.c	2014-06-17 21:15:26.224000000 -0500
+++ modified/CorebootPayloadPkg/SerialDxe/SerialIo.c	2015-02-04 16:59:42.921165200 -0600
@@ -37,18 +37,18 @@ typedef struct {
 
 SIMPLE_TEXT_OUT_DEVICE_PATH mDevicePath = {
   {
-    { HARDWARE_DEVICE_PATH, HW_VENDOR_DP, sizeof (VENDOR_DEVICE_PATH), 0},
+    { HARDWARE_DEVICE_PATH, HW_VENDOR_DP, { sizeof (VENDOR_DEVICE_PATH), 0} },
     EFI_SERIAL_IO_PROTOCOL_GUID // Use the drivers GUID
   },
   {
-    { MESSAGING_DEVICE_PATH, MSG_UART_DP, sizeof (UART_DEVICE_PATH), 0},
+    { MESSAGING_DEVICE_PATH, MSG_UART_DP, { sizeof (UART_DEVICE_PATH), 0} },
     0,        // Reserved
     FixedPcdGet64 (PcdUartDefaultBaudRate),   // BaudRate
     FixedPcdGet8 (PcdUartDefaultDataBits),    // DataBits
     FixedPcdGet8 (PcdUartDefaultParity),      // Parity (N)
     FixedPcdGet8 (PcdUartDefaultStopBits)     // StopBits
   },
-  { END_DEVICE_PATH_TYPE, END_ENTIRE_DEVICE_PATH_SUBTYPE, sizeof (EFI_DEVICE_PATH_PROTOCOL), 0}
+  { END_DEVICE_PATH_TYPE, END_ENTIRE_DEVICE_PATH_SUBTYPE, { sizeof (EFI_DEVICE_PATH_PROTOCOL), 0 } }
 };
 
 EFI_HANDLE  gHandle = NULL;
